package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.ApprovalConfig;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface ApprovalConfigService {
	ApprovalConfig get(String id);
	boolean exist(String id);
	int insert(ApprovalConfig model);
	int update(ApprovalConfig model);
	int delete(String id);
	List<ApprovalConfig> list();
	Page<ApprovalConfig> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    ApprovalConfig findByCompanyIdAndType(String companyId, String type);
}